'use strict';

var vue = require('vue');
var props = require('../../props.js');

const CCallout = vue.defineComponent({
    name: 'CCallout',
    props: {
        /**
         * Sets the color context of the component to one of CoreUI’s themed colors.
         *
         * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light'
         */
        color: props.Color,
    },
    setup(props, { slots }) {
        return () => vue.h('div', {
            class: [
                'callout',
                {
                    [`callout-${props.color}`]: props.color,
                },
            ],
        }, slots.default && slots.default());
    },
});

exports.CCallout = CCallout;
//# sourceMappingURL=CCallout.js.map
