'use strict';

var vue = require('vue');
var CCloseButton = require('../close-button/CCloseButton.js');

const CModalHeader = vue.defineComponent({
    name: 'CModalHeader',
    props: {
        /**
         * Add a close button component to the header.
         */
        closeButton: {
            type: Boolean,
            default: true,
        },
    },
    setup(props, { slots }) {
        const handleDismiss = vue.inject('handleDismiss');
        return () => vue.h('span', { class: 'modal-header' }, [
            slots.default && slots.default(),
            props.closeButton && vue.h(CCloseButton.CCloseButton, { onClick: () => handleDismiss() }, ''),
        ]);
    },
});

exports.CModalHeader = CModalHeader;
//# sourceMappingURL=CModalHeader.js.map
