'use strict';

var vue = require('vue');
var CLink = require('../link/CLink.js');

const CNavLink = vue.defineComponent({
    name: 'CNavLink',
    props: {
        /**
         * Toggle the active state for the component.
         */
        active: Boolean,
        /**
         * Component used for the root node. Either a string to use a HTML element or a component.
         */
        as: {
            type: String,
            default: 'a',
        },
        /**
         * Toggle the disabled state for the component.
         */
        disabled: Boolean,
        /**
         * @ignore
         */
        href: String,
    },
    setup(props, { slots }) {
        return () => vue.h(CLink.CLink, {
            class: 'nav-link',
            active: props.active,
            component: props.as,
            disabled: props.disabled,
            href: props.href,
        }, {
            default: () => slots.default && slots.default(),
        });
    },
});

exports.CNavLink = CNavLink;
//# sourceMappingURL=CNavLink.js.map
