'use strict';

var vue = require('vue');
var props = require('../../props.js');

const CTableHead = vue.defineComponent({
    name: 'CTableHead',
    props: {
        /**
         * Sets the color context of the component to one of CoreUI’s themed colors.
         *
         * @values  'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light', string
         */
        color: props.Color,
    },
    setup(props, { slots }) {
        return () => vue.h('thead', {
            class: [
                {
                    [`table-${props.color}`]: props.color,
                },
            ],
        }, slots.default && slots.default());
    },
});

exports.CTableHead = CTableHead;
//# sourceMappingURL=CTableHead.js.map
