'use strict';

var vue = require('vue');

const useIsVisible = (el) => {
    const isIntersecting = vue.ref(false);
    const observer = vue.ref();
    vue.onMounted(() => {
        observer.value = new IntersectionObserver(([entry]) => {
            isIntersecting.value = entry.isIntersecting;
        });
        el.value && observer.value.observe(el.value);
    });
    vue.onUnmounted(() => {
        observer.value.disconnect();
    });
    return isIntersecting;
};

exports.useIsVisible = useIsVisible;
//# sourceMappingURL=useIsVisible.js.map
