'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index$M = require('./components/index.js');
var index$N = require('./directives/index.js');
var useColorModes = require('./composables/useColorModes.js');
var useDebouncedCallback = require('./composables/useDebouncedCallback.js');
var useIsVisible = require('./composables/useIsVisible.js');
var usePopper = require('./composables/usePopper.js');
var index = require('./components/accordion/index.js');
var CAccordion = require('./components/accordion/CAccordion.js');
var CAccordionBody = require('./components/accordion/CAccordionBody.js');
var CAccordionButton = require('./components/accordion/CAccordionButton.js');
var CAccordionHeader = require('./components/accordion/CAccordionHeader.js');
var CAccordionItem = require('./components/accordion/CAccordionItem.js');
var index$1 = require('./components/alert/index.js');
var CAlert = require('./components/alert/CAlert.js');
var CAlertHeading = require('./components/alert/CAlertHeading.js');
var CAlertLink = require('./components/alert/CAlertLink.js');
var index$2 = require('./components/avatar/index.js');
var CAvatar = require('./components/avatar/CAvatar.js');
var index$3 = require('./components/backdrop/index.js');
var CBackdrop = require('./components/backdrop/CBackdrop.js');
var CBadge = require('./components/badge/CBadge.js');
var index$4 = require('./components/badge/index.js');
var index$5 = require('./components/breadcrumb/index.js');
var CBreadcrumb = require('./components/breadcrumb/CBreadcrumb.js');
var CBreadcrumbItem = require('./components/breadcrumb/CBreadcrumbItem.js');
var index$6 = require('./components/button/index.js');
var CButton = require('./components/button/CButton.js');
var index$7 = require('./components/button-group/index.js');
var CButtonToolbar = require('./components/button-group/CButtonToolbar.js');
var CButtonGroup = require('./components/button-group/CButtonGroup.js');
var CCalendar = require('./components/calendar/CCalendar.js');
var index$8 = require('./components/calendar/index.js');
var index$9 = require('./components/callout/index.js');
var CCallout = require('./components/callout/CCallout.js');
var index$a = require('./components/card/index.js');
var CCard = require('./components/card/CCard.js');
var CCardBody = require('./components/card/CCardBody.js');
var CCardFooter = require('./components/card/CCardFooter.js');
var CCardGroup = require('./components/card/CCardGroup.js');
var CCardHeader = require('./components/card/CCardHeader.js');
var CCardImage = require('./components/card/CCardImage.js');
var CCardImageOverlay = require('./components/card/CCardImageOverlay.js');
var CCardLink = require('./components/card/CCardLink.js');
var CCardSubtitle = require('./components/card/CCardSubtitle.js');
var CCardText = require('./components/card/CCardText.js');
var CCardTitle = require('./components/card/CCardTitle.js');
var index$b = require('./components/carousel/index.js');
var CCarousel = require('./components/carousel/CCarousel.js');
var CCarouselCaption = require('./components/carousel/CCarouselCaption.js');
var CCarouselItem = require('./components/carousel/CCarouselItem.js');
var index$c = require('./components/close-button/index.js');
var CCloseButton = require('./components/close-button/CCloseButton.js');
var index$d = require('./components/collapse/index.js');
var CCollapse = require('./components/collapse/CCollapse.js');
var CConditionalTeleport = require('./components/conditional-teleport/CConditionalTeleport.js');
var index$e = require('./components/conditional-teleport/index.js');
var index$f = require('./components/date-picker/index.js');
var CDatePicker = require('./components/date-picker/CDatePicker.js');
var index$g = require('./components/date-range-picker/index.js');
var CDateRangePicker = require('./components/date-range-picker/CDateRangePicker.js');
var index$h = require('./components/dropdown/index.js');
var CDropdown = require('./components/dropdown/CDropdown.js');
var CDropdownItem = require('./components/dropdown/CDropdownItem.js');
var CDropdownHeader = require('./components/dropdown/CDropdownHeader.js');
var CDropdownDivider = require('./components/dropdown/CDropdownDivider.js');
var CDropdownMenu = require('./components/dropdown/CDropdownMenu.js');
var CDropdownToggle = require('./components/dropdown/CDropdownToggle.js');
var index$i = require('./components/element-cover/index.js');
var CElementCover = require('./components/element-cover/CElementCover.js');
var index$j = require('./components/footer/index.js');
var CFooter = require('./components/footer/CFooter.js');
var index$k = require('./components/form/index.js');
var CForm = require('./components/form/CForm.js');
var CFormCheck = require('./components/form/CFormCheck.js');
var CFormFeedback = require('./components/form/CFormFeedback.js');
var CFormFloating = require('./components/form/CFormFloating.js');
var CFormInput = require('./components/form/CFormInput.js');
var CFormLabel = require('./components/form/CFormLabel.js');
var CFormRange = require('./components/form/CFormRange.js');
var CFormSelect = require('./components/form/CFormSelect.js');
var CFormSwitch = require('./components/form/CFormSwitch.js');
var CFormText = require('./components/form/CFormText.js');
var CFormTextarea = require('./components/form/CFormTextarea.js');
var CInputGroup = require('./components/form/CInputGroup.js');
var CInputGroupText = require('./components/form/CInputGroupText.js');
var index$l = require('./components/grid/index.js');
var CCol = require('./components/grid/CCol.js');
var CContainer = require('./components/grid/CContainer.js');
var CRow = require('./components/grid/CRow.js');
var index$m = require('./components/header/index.js');
var CHeader = require('./components/header/CHeader.js');
var CHeaderBrand = require('./components/header/CHeaderBrand.js');
var CHeaderDivider = require('./components/header/CHeaderDivider.js');
var CHeaderNav = require('./components/header/CHeaderNav.js');
var CHeaderText = require('./components/header/CHeaderText.js');
var CHeaderToggler = require('./components/header/CHeaderToggler.js');
var index$n = require('./components/image/index.js');
var CImage = require('./components/image/CImage.js');
var index$o = require('./components/link/index.js');
var CLink = require('./components/link/CLink.js');
var index$p = require('./components/list-group/index.js');
var CListGroup = require('./components/list-group/CListGroup.js');
var CListGroupItem = require('./components/list-group/CListGroupItem.js');
var index$q = require('./components/loading-button/index.js');
var CLoadingButton = require('./components/loading-button/CLoadingButton.js');
var index$r = require('./components/modal/index.js');
var CModal = require('./components/modal/CModal.js');
var CModalBody = require('./components/modal/CModalBody.js');
var CModalFooter = require('./components/modal/CModalFooter.js');
var CModalHeader = require('./components/modal/CModalHeader.js');
var CModalTitle = require('./components/modal/CModalTitle.js');
var index$s = require('./components/multi-select/index.js');
var CMultiSelect = require('./components/multi-select/CMultiSelect.js');
var index$t = require('./components/nav/index.js');
var CNav = require('./components/nav/CNav.js');
var CNavGroup = require('./components/nav/CNavGroup.js');
var CNavGroupItems = require('./components/nav/CNavGroupItems.js');
var CNavItem = require('./components/nav/CNavItem.js');
var CNavLink = require('./components/nav/CNavLink.js');
var CNavTitle = require('./components/nav/CNavTitle.js');
var index$u = require('./components/navbar/index.js');
var CNavbar = require('./components/navbar/CNavbar.js');
var CNavbarBrand = require('./components/navbar/CNavbarBrand.js');
var CNavbarNav = require('./components/navbar/CNavbarNav.js');
var CNavbarText = require('./components/navbar/CNavbarText.js');
var CNavbarToggler = require('./components/navbar/CNavbarToggler.js');
var index$v = require('./components/offcanvas/index.js');
var COffcanvas = require('./components/offcanvas/COffcanvas.js');
var COffcanvasBody = require('./components/offcanvas/COffcanvasBody.js');
var COffcanvasHeader = require('./components/offcanvas/COffcanvasHeader.js');
var COffcanvasTitle = require('./components/offcanvas/COffcanvasTitle.js');
var index$w = require('./components/pagination/index.js');
var CPagination = require('./components/pagination/CPagination.js');
var CPaginationItem = require('./components/pagination/CPaginationItem.js');
var CPicker = require('./components/picker/CPicker.js');
var index$x = require('./components/picker/index.js');
var index$y = require('./components/placeholder/index.js');
var CPlaceholder = require('./components/placeholder/CPlaceholder.js');
var index$z = require('./components/progress/index.js');
var CProgress = require('./components/progress/CProgress.js');
var CProgressBar = require('./components/progress/CProgressBar.js');
var CProgressStacked = require('./components/progress/CProgressStacked.js');
var index$A = require('./components/popover/index.js');
var CPopover = require('./components/popover/CPopover.js');
var index$B = require('./components/sidebar/index.js');
var CSidebar = require('./components/sidebar/CSidebar.js');
var CSidebarBrand = require('./components/sidebar/CSidebarBrand.js');
var CSidebarFooter = require('./components/sidebar/CSidebarFooter.js');
var CSidebarHeader = require('./components/sidebar/CSidebarHeader.js');
var CSidebarNav = require('./components/sidebar/CSidebarNav.js');
var CSidebarToggler = require('./components/sidebar/CSidebarToggler.js');
var index$C = require('./components/smart-pagination/index.js');
var CSmartPagination = require('./components/smart-pagination/CSmartPagination.js');
var index$D = require('./components/smart-table/index.js');
var CSmartTable = require('./components/smart-table/CSmartTable.js');
var index$E = require('./components/spinner/index.js');
var CSpinner = require('./components/spinner/CSpinner.js');
var index$F = require('./components/table/index.js');
var CTable = require('./components/table/CTable.js');
var CTableBody = require('./components/table/CTableBody.js');
var CTableCaption = require('./components/table/CTableCaption.js');
var CTableDataCell = require('./components/table/CTableDataCell.js');
var CTableFoot = require('./components/table/CTableFoot.js');
var CTableHead = require('./components/table/CTableHead.js');
var CTableHeaderCell = require('./components/table/CTableHeaderCell.js');
var CTableRow = require('./components/table/CTableRow.js');
var index$G = require('./components/tabs/index.js');
var CTabContent = require('./components/tabs/CTabContent.js');
var CTabPane = require('./components/tabs/CTabPane.js');
var CTimePicker = require('./components/time-picker/CTimePicker.js');
var index$H = require('./components/time-picker/index.js');
var index$I = require('./components/toast/index.js');
var CToast = require('./components/toast/CToast.js');
var CToastBody = require('./components/toast/CToastBody.js');
var CToastClose = require('./components/toast/CToastClose.js');
var CToaster = require('./components/toast/CToaster.js');
var CToastHeader = require('./components/toast/CToastHeader.js');
var index$J = require('./components/tooltip/index.js');
var CTooltip = require('./components/tooltip/CTooltip.js');
var CVirtualScroller = require('./components/virtual-scroller/CVirtualScroller.js');
var index$K = require('./components/virtual-scroller/index.js');
var index$L = require('./components/widgets/index.js');
var CWidgetStatsA = require('./components/widgets/CWidgetStatsA.js');
var CWidgetStatsB = require('./components/widgets/CWidgetStatsB.js');
var CWidgetStatsC = require('./components/widgets/CWidgetStatsC.js');
var CWidgetStatsD = require('./components/widgets/CWidgetStatsD.js');
var CWidgetStatsE = require('./components/widgets/CWidgetStatsE.js');
var CWidgetStatsF = require('./components/widgets/CWidgetStatsF.js');
var vCPlaceholder = require('./directives/v-c-placeholder.js');
var vCPopover = require('./directives/v-c-popover.js');
var vCTooltip = require('./directives/v-c-tooltip.js');

const CoreuiVue = {
    install: (app) => {
        for (const key in index$M) {
            app.component(key, index$M[key]);
        }
        for (const key in index$N) {
            app.directive(index$N[key]['name'], index$N[key]);
        }
    },
};

exports.useColorModes = useColorModes.useColorModes;
exports.useDebouncedCallback = useDebouncedCallback.useDebouncedCallback;
exports.useIsVisible = useIsVisible.useIsVisible;
exports.usePopper = usePopper.usePopper;
exports.CAccordionPlugin = index.CAccordionPlugin;
exports.CAccordion = CAccordion.CAccordion;
exports.CAccordionBody = CAccordionBody.CAccordionBody;
exports.CAccordionButton = CAccordionButton.CAccordionButton;
exports.CAccordionHeader = CAccordionHeader.CAccordionHeader;
exports.CAccordionItem = CAccordionItem.CAccordionItem;
exports.CAlertPlugin = index$1.CAlertPlugin;
exports.CAlert = CAlert.CAlert;
exports.CAlertHeading = CAlertHeading.CAlertHeading;
exports.CAlertLink = CAlertLink.CAlertLink;
exports.CAvatarPlugin = index$2.CAvatarPlugin;
exports.CAvatar = CAvatar.CAvatar;
exports.CBackdropPlugin = index$3.CBackdropPlugin;
exports.CBackdrop = CBackdrop.CBackdrop;
exports.CBadge = CBadge.CBadge;
exports.CBadgePlugin = index$4.CBadgePlugin;
exports.CBreadcrumbPlugin = index$5.CBreadcrumbPlugin;
exports.CBreadcrumb = CBreadcrumb.CBreadcrumb;
exports.CBreadcrumbItem = CBreadcrumbItem.CBreadcrumbItem;
exports.CButtonPlugin = index$6.CButtonPlugin;
exports.CButton = CButton.CButton;
exports.CButtonGroupPlugin = index$7.CButtonGroupPlugin;
exports.CButtonToolbar = CButtonToolbar.CButtonToolbar;
exports.CButtonGroup = CButtonGroup.CButtonGroup;
exports.CCalendar = CCalendar.CCalendar;
exports.CCalendarPlugin = index$8.CCalendarPlugin;
exports.CCalloutPlugin = index$9.CCalloutPlugin;
exports.CCallout = CCallout.CCallout;
exports.CCardPlugin = index$a.CCardPlugin;
exports.CCard = CCard.CCard;
exports.CCardBody = CCardBody.CCardBody;
exports.CCardFooter = CCardFooter.CCardFooter;
exports.CCardGroup = CCardGroup.CCardGroup;
exports.CCardHeader = CCardHeader.CCardHeader;
exports.CCardImage = CCardImage.CCardImage;
exports.CCardImageOverlay = CCardImageOverlay.CCardImageOverlay;
exports.CCardLink = CCardLink.CCardLink;
exports.CCardSubtitle = CCardSubtitle.CCardSubtitle;
exports.CCardText = CCardText.CCardText;
exports.CCardTitle = CCardTitle.CCardTitle;
exports.CCarouselPlugin = index$b.CCarouselPlugin;
exports.CCarousel = CCarousel.CCarousel;
exports.CCarouselCaption = CCarouselCaption.CCarouselCaption;
exports.CCarouselItem = CCarouselItem.CCarouselItem;
exports.CCloseButtonPlugin = index$c.CCloseButtonPlugin;
exports.CCloseButton = CCloseButton.CCloseButton;
exports.CCollapsePlugin = index$d.CCollapsePlugin;
exports.CCollapse = CCollapse.CCollapse;
exports.CConditionalTeleport = CConditionalTeleport.CConditionalTeleport;
exports.CConditionalTeleportPlugin = index$e.CConditionalTeleportPlugin;
exports.CDatePickerPlugin = index$f.CDatePickerPlugin;
exports.CDatePicker = CDatePicker.CDatePicker;
exports.CDateRangePickerPlugin = index$g.CDateRangePickerPlugin;
exports.CDateRangePicker = CDateRangePicker.CDateRangePicker;
exports.CDropdownPlugin = index$h.CDropdownPlugin;
exports.CDropdown = CDropdown.CDropdown;
exports.CDropdownItem = CDropdownItem.CDropdownItem;
exports.CDropdownHeader = CDropdownHeader.CDropdownHeader;
exports.CDropdownDivider = CDropdownDivider.CDropdownDivider;
exports.CDropdownMenu = CDropdownMenu.CDropdownMenu;
exports.CDropdownToggle = CDropdownToggle.CDropdownToggle;
exports.CElementCoverPlugin = index$i.CElementCoverPlugin;
exports.CElementCover = CElementCover.CElementCover;
exports.CFooterPlugin = index$j.CFooterPlugin;
exports.CFooter = CFooter.CFooter;
exports.CFormPlugin = index$k.CFormPlugin;
exports.CForm = CForm.CForm;
exports.CFormCheck = CFormCheck.CFormCheck;
exports.CFormFeedback = CFormFeedback.CFormFeedback;
exports.CFormFloating = CFormFloating.CFormFloating;
exports.CFormInput = CFormInput.CFormInput;
exports.CFormLabel = CFormLabel.CFormLabel;
exports.CFormRange = CFormRange.CFormRange;
exports.CFormSelect = CFormSelect.CFormSelect;
exports.CFormSwitch = CFormSwitch.CFormSwitch;
exports.CFormText = CFormText.CFormText;
exports.CFormTextarea = CFormTextarea.CFormTextarea;
exports.CInputGroup = CInputGroup.CInputGroup;
exports.CInputGroupText = CInputGroupText.CInputGroupText;
exports.CGridPlugin = index$l.CGridPlugin;
exports.CCol = CCol.CCol;
exports.CContainer = CContainer.CContainer;
exports.CRow = CRow.CRow;
exports.CHeaderPlugin = index$m.CHeaderPlugin;
exports.CHeader = CHeader.CHeader;
exports.CHeaderBrand = CHeaderBrand.CHeaderBrand;
exports.CHeaderDivider = CHeaderDivider.CHeaderDivider;
exports.CHeaderNav = CHeaderNav.CHeaderNav;
exports.CHeaderText = CHeaderText.CHeaderText;
exports.CHeaderToggler = CHeaderToggler.CHeaderToggler;
exports.CImagePlugin = index$n.CImagePlugin;
exports.CImage = CImage.CImage;
exports.CCLinkPlugin = index$o.CCLinkPlugin;
exports.CLink = CLink.CLink;
exports.CListGroupPlugin = index$p.CListGroupPlugin;
exports.CListGroup = CListGroup.CListGroup;
exports.CListGroupItem = CListGroupItem.CListGroupItem;
exports.CLoadingButtonPlugin = index$q.CLoadingButtonPlugin;
exports.CLoadingButton = CLoadingButton.CLoadingButton;
exports.CModalPlugin = index$r.CModalPlugin;
exports.CModal = CModal.CModal;
exports.CModalBody = CModalBody.CModalBody;
exports.CModalFooter = CModalFooter.CModalFooter;
exports.CModalHeader = CModalHeader.CModalHeader;
exports.CModalTitle = CModalTitle.CModalTitle;
exports.CMultiSelectPlugin = index$s.CMultiSelectPlugin;
exports.CMultiSelect = CMultiSelect.CMultiSelect;
exports.CNavPlugin = index$t.CNavPlugin;
exports.CNav = CNav.CNav;
exports.CNavGroup = CNavGroup.CNavGroup;
exports.CNavGroupItems = CNavGroupItems.CNavGroupItems;
exports.CNavItem = CNavItem.CNavItem;
exports.CNavLink = CNavLink.CNavLink;
exports.CNavTitle = CNavTitle.CNavTitle;
exports.CNavbarPlugin = index$u.CNavbarPlugin;
exports.CNavbar = CNavbar.CNavbar;
exports.CNavbarBrand = CNavbarBrand.CNavbarBrand;
exports.CNavbarNav = CNavbarNav.CNavbarNav;
exports.CNavbarText = CNavbarText.CNavbarText;
exports.CNavbarToggler = CNavbarToggler.CNavbarToggler;
exports.COffcanvasPlugin = index$v.COffcanvasPlugin;
exports.COffcanvas = COffcanvas.COffcanvas;
exports.COffcanvasBody = COffcanvasBody.COffcanvasBody;
exports.COffcanvasHeader = COffcanvasHeader.COffcanvasHeader;
exports.COffcanvasTitle = COffcanvasTitle.COffcanvasTitle;
exports.CPaginationPlugin = index$w.CPaginationPlugin;
exports.CPagination = CPagination.CPagination;
exports.CPaginationItem = CPaginationItem.CPaginationItem;
exports.CPicker = CPicker.CPicker;
exports.CPickerPlugin = index$x.CPickerPlugin;
exports.CPlaceholderPlugin = index$y.CPlaceholderPlugin;
exports.CPlaceholder = CPlaceholder.CPlaceholder;
exports.CProgressPlugin = index$z.CProgressPlugin;
exports.CProgress = CProgress.CProgress;
exports.CProgressBar = CProgressBar.CProgressBar;
exports.CProgressStacked = CProgressStacked.CProgressStacked;
exports.CPopoverPlugin = index$A.CPopoverPlugin;
exports.CPopover = CPopover.CPopover;
exports.CSidebarPlugin = index$B.CSidebarPlugin;
exports.CSidebar = CSidebar.CSidebar;
exports.CSidebarBrand = CSidebarBrand.CSidebarBrand;
exports.CSidebarFooter = CSidebarFooter.CSidebarFooter;
exports.CSidebarHeader = CSidebarHeader.CSidebarHeader;
exports.CSidebarNav = CSidebarNav.CSidebarNav;
exports.CSidebarToggler = CSidebarToggler.CSidebarToggler;
exports.CSmartPaginationPlugin = index$C.CSmartPaginationPlugin;
exports.CSmartPagination = CSmartPagination.CSmartPagination;
exports.CSmartTablePlugin = index$D.CSmartTablePlugin;
exports.CSmartTable = CSmartTable.CSmartTable;
exports.CSpinnerPlugin = index$E.CSpinnerPlugin;
exports.CSpinner = CSpinner.CSpinner;
exports.CTablePlugin = index$F.CTablePlugin;
exports.CTable = CTable.CTable;
exports.CTableBody = CTableBody.CTableBody;
exports.CTableCaption = CTableCaption.CTableCaption;
exports.CTableDataCell = CTableDataCell.CTableDataCell;
exports.CTableFoot = CTableFoot.CTableFoot;
exports.CTableHead = CTableHead.CTableHead;
exports.CTableHeaderCell = CTableHeaderCell.CTableHeaderCell;
exports.CTableRow = CTableRow.CTableRow;
exports.CTabsPlugin = index$G.CTabsPlugin;
exports.CTabContent = CTabContent.CTabContent;
exports.CTabPane = CTabPane.CTabPane;
exports.CTimePicker = CTimePicker.CTimePicker;
exports.CTimePickerPlugin = index$H.CTimePickerPlugin;
exports.CToastPlugin = index$I.CToastPlugin;
exports.CToast = CToast.CToast;
exports.CToastBody = CToastBody.CToastBody;
exports.CToastClose = CToastClose.CToastClose;
exports.CToaster = CToaster.CToaster;
exports.CToastHeader = CToastHeader.CToastHeader;
exports.CTooltipPlugin = index$J.CTooltipPlugin;
exports.CTooltip = CTooltip.CTooltip;
exports.CVirtualScroller = CVirtualScroller.CVirtualScroller;
exports.CVirtualScrollerPlugin = index$K.CVirtualScrollerPlugin;
exports.CWidgetsStatsPlugin = index$L.CWidgetsStatsPlugin;
exports.CWidgetStatsA = CWidgetStatsA.CWidgetStatsA;
exports.CWidgetStatsB = CWidgetStatsB.CWidgetStatsB;
exports.CWidgetStatsC = CWidgetStatsC.CWidgetStatsC;
exports.CWidgetStatsD = CWidgetStatsD.CWidgetStatsD;
exports.CWidgetStatsE = CWidgetStatsE.CWidgetStatsE;
exports.CWidgetStatsF = CWidgetStatsF.CWidgetStatsF;
exports.vcplaceholder = vCPlaceholder.default;
exports.vcpopover = vCPopover.default;
exports.vctooltip = vCTooltip.default;
exports.default = CoreuiVue;
//# sourceMappingURL=index.js.map
